PHP version, PHP multibyte functions

I have noticed, that my new PHP repls are now running with PHP version 7.4. Thank you for that! However, this did not upgrade older repls. I tried copying the replit.nix from a “new” PHP repl, but that unluckily did not work. Is there any way of upgrading PHP interpreter version?

And just one more PHP question - is there any chance of enabling the multibyte string functions (PHP: Multibyte String - Manual)? It is a standard component, enabled in any PHP server I know, and it is a must for any site using Unicode (which is nowadays any site). We miss the mb_ functions very very much.

Hi @Janek !
When migrating old repls, the current workaround is to manually copy files to a new repl. We are working on a quicker migration tool and automatic migration to make this easier in the future.

As for enabling more PHP components in Nix, you should be able to do so using the withExtensions function which you can find demoed here.
I also recommend you take a look here.